//GSP480 - Monte Carlo Lab
//Tylor Emmett
//4/22/15

#ifndef DEALER_H
#define DEALER_H

#include <vector>
#include "Deck.h"

class Dealer
{
	std::vector<Cards::Card> hand;
	bool isStanding;
	Dealer();
public:
	friend class MonteCarlo;
	static Dealer* Instance();
	void TakeTurn();
	void PrintHand(bool hideSecondCard);
	void GiveCard(Cards::Card cardIn);
	bool IsStanding();
	void Reset();
	int HandValue();
};

#endif